<div class="kikfyre kf-container" ng-controller="eventCtrl" ng-app="eventMagicApp" ng-cloak ng-init="initialize('event_organizer')">
    <div class="kf_progress_screen" ng-show="requestInProgress"></div>
    <div class="kf-db-content" ng-hide="requestInProgress">
        <div class="kf-db-title">
            <?php _e('Organizer','eventprime-event-calendar-management'); ?>
        </div>
        <div class="form_errors">
            <ul>
                <li class="emfield_error" ng-repeat="error in formErrors">
                    <span>{{error}}</span>
                </li>
            </ul>  
        </div>
        <!-- FORM -->
        <form name="postForm" ng-submit="savePost(postForm.$valid)" novalidate>
            <div class="emrow">
                <div class="emfield"><?php _e('Name','eventprime-event-calendar-management'); ?></div>
                <div class="eminput">
                    <input type="text" name="organizer_name" ng-model="data.post.organizer_name">
                </div>
                <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                    <?php _e('Add the name of the organizer for this event.','eventprime-event-calendar-management'); ?>
                </div>
            </div>
   
            <div class="emrow">
            <div class="emfield"><?php _e('Phone','eventprime-event-calendar-management'); ?></div>    
            <div class="eminput">
                <ul class="ep-organizer-input">
                    <li ng-repeat="(i,phone) in data.post.organizer_phones track by $index">
                        <input type="text" ng-model="data.post.organizer_phones[i]" >
                        <a ng-click="removePhone(phone)" class="ep-delete-organizer-input">Delete</a> 
                    </li>   
                    <div ng-click="addPhone()" class="ep-add-organizer-input"><?php _e('Add New','eventprime-event-calendar-management'); ?></div>
                </ul>
            </div>  
            <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                    <?php _e("Add the organizer's phone numbers.",'eventprime-event-calendar-management'); ?>
            </div> 
                
            </div>
     
             
             
            <div class="emrow">
                <div class="emfield"><?php _e('Email','eventprime-event-calendar-management'); ?></div>
                <div class="eminput" >
                    <ul class="ep-organizer-input">
                        <li ng-repeat="(i,email) in data.post.organizer_emails track by $index">
                             <input type="text" ng-model="data.post.organizer_emails[i]">
                            <a ng-click="removeEmail(email)" class="ep-delete-organizer-input">Delete</a> 
                            
                        </li>
                       <div ng-click="addEmail()"  class="ep-add-organizer-input"><?php _e('Add New','eventprime-event-calendar-management'); ?></div>

                    </ul>  
                  
                </div>
                
                <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                    <?php _e("Add the organizer's email addresses.",'eventprime-event-calendar-management'); ?>
                </div>
            </div>
            <div class="emrow">
                <div class="emfield"><?php _e('Website','eventprime-event-calendar-management'); ?></div>
                <div class="eminput" >
                    <ul class="ep-organizer-input">
                        
                        <li ng-repeat="(i,website) in data.post.organizer_websites track by $index">
                            
                           <input type="text" ng-model="data.post.organizer_websites[i]">
                            <a ng-click="removeWebsites(website)" class="ep-delete-organizer-input">Delete</a>  
                        </li>
                          <div ng-click="addWebsite()" class="ep-add-organizer-input"><?php _e('Add New','eventprime-event-calendar-management'); ?></div> 
                    </ul>
                </div>            
                <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                    <?php _e("Add the organizer's website URLs.",'eventprime-event-calendar-management'); ?>
                </div>
            </div>
            <div class="emrow">
                <div class="emfield"><?php _e('Hide Organizer Details','eventprime-event-calendar-management'); ?></div>
                <div class="eminput">
                    <input type="checkbox" name="hide_organizer" ng-model="data.post.hide_organizer" ng-true-value="1" ng-false-value="0">
                </div>
                <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                    <?php _e('Enable this option to hide organizer details on the event page. If disabled, organizer details will appear on the event page.','eventprime-event-calendar-management'); ?>
                </div>
            </div>
            <div class="dbfl kf-buttonarea">
                <div class="em_cancel"><a class="kf-cancel" href="<?php echo admin_url('/admin.php?page=em_dashboard&post_id=' . $post_id); ?>"> <?php _e('Cancel','eventprime-event-calendar-management'); ?></a></div>
                <button type="submit" class="btn btn-primary" ng-disabled="postForm.$invalid || requestInProgress"> <?php _e('Save','eventprime-event-calendar-management'); ?></button>
            </div>
            <div class="dbfl kf-required-errors" ng-show="postForm.$dirty && postForm.$invalid">
            </div>
        </form>
    </div>
</div>



