<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$buy_link = event_m_get_buy_link();
?>
<div class="eventprime ep-full-width">
    <div class="ep-expage-title"> <b>EventPrime</b> <span>Extensions</span> </div>
    
    <div class="ep-exts-bundle-banner dbfl"> <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/plans/' : $buy_link; ?>" target="_blank"><img  class="ep-extension-bundle" alt="EventPrime Extension Bundle" src="<?php echo plugin_dir_url(__DIR__) . 'template/images/'; ?>ep-extension-banner.png" ></a> </div>
    <div class="ep-ext-list">
        <div class="plugin-card ep-ext-card">
            <div class="plugin-card-top">
                <div class="name column-name">
                    <h3>
                        <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/live-seating/' : $buy_link; ?>" class=" open-plugin-details-modal" target="_blank">
                            Live Seating
                            <img  class="plugin-icon" alt="" src="<?php echo plugin_dir_url(__DIR__) . 'template/images/'; ?>seating-integration-icon.png" > 
                        </a>
                    </h3> </div>
                <div class="action-links">
                    <ul class="plugin-action-buttons">
                        <li> <a class="install-now button ep-install-now-btn" href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/live-seating/' : $buy_link; ?>" target="_blank">MORE INFO</a> </li>
                    </ul>
                </div>
                <div class="desc column-description">
                    <p class="ep-col-desc">Add live seat selection on your events and provide seat based tickets to your event attendees. Set a seating arrangement for all your Event Sites with specific rows, columns, and walking aisles using EventPrime's very own Event Site Seating Builder.</p>
                    <p class="authors"> <cite>By <a target="_blank" href="https://eventprime.net/">eventprime</a></cite></p>
                </div>
            </div>
        </div>
        <div class="plugin-card ep-ext-card">
            <div class="plugin-card-top">
                <div class="name column-name">
                    <h3>
                        <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/event-analytics/' : $buy_link; ?>" class=" open-plugin-details-modal" target="_blank">
                            Event Analytics
                            <img  class="plugin-icon" alt="" src="<?php echo plugin_dir_url(__DIR__) . 'template/images/'; ?>ep-analytics-icon.png" > 
                        </a>
                    </h3> </div>
                <div class="action-links">
                    <ul class="plugin-action-buttons">
                        <li> <a class="install-now button ep-install-now-btn" href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/event-analytics/' : $buy_link; ?>" target="_blank">MORE INFO</a> </li>
                    </ul>
                </div>
                <div class="desc column-description">
                    <p class="ep-col-desc">Stay updated on all the Revenue and Bookings coming your way through EventPrime. The Event Analytics extension empowers you with data and graphs that you need to know how much your events are connecting with their audience.</p>
                    <p class="authors"> <cite>By <a target="_blank" href="https://eventprime.net/">eventprime</a></cite></p>
                </div>
            </div>
        </div>
        <div class="plugin-card ep-ext-card">
            <div class="plugin-card-top">
                <div class="name column-name">
                    <h3>
                        <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/event-sponsors/' : $buy_link; ?>" class=" open-plugin-details-modal" target="_blank">
                            Event Sponsors
                            <img  class="plugin-icon" alt="" src="<?php echo plugin_dir_url(__DIR__) . 'template/images/'; ?>ep-sponser-icon.png" > 
                        </a>
                    </h3> </div>
                <div class="action-links">
                    <ul class="plugin-action-buttons">
                        <li> <a class="install-now button ep-install-now-btn" href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/event-sponsors/' : $buy_link; ?>" target="_blank">MORE INFO</a> </li>
                    </ul>
                </div>
                <div class="desc column-description">
                    <p class="ep-col-desc">Add Sponsor(s) to your events. Upload Sponsor logos and they will appear on the event page alongside all other details of the event.</p>
                    <p class="authors"> <cite>By <a target="_blank" href="https://eventprime.net/">eventprime</a></cite></p>
                </div>
            </div>
        </div>
              <div class="plugin-card ep-ext-card">
            <div class="plugin-card-top">
                <div class="name column-name">
                    <h3>
                        <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/stripe-payments/' : $buy_link; ?>" class=" open-plugin-details-modal" target="_blank">
                            Stripe Payments
                            <img  class="plugin-icon" alt="" src="<?php echo plugin_dir_url(__DIR__) . 'template/images/'; ?>ep-stripe-icon.png" > 
                        </a>
                    </h3> </div>
                <div class="action-links">
                    <ul class="plugin-action-buttons">
                        <li> <a class="install-now button ep-install-now-btn" href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/stripe-payments/' : $buy_link; ?>" target="_blank">MORE INFO</a> </li>
                    </ul>
                </div>
                <div class="desc column-description">
                    <p class="ep-col-desc">Start accepting Event Booking payments using the Stripe Payment Gateway. By integrating Stripe with EventPrime, event attendees can now pay with their credit cards while you receive the payment in your Stripe account.</p>
                    <p class="authors"> <cite>By <a target="_blank" href="https://eventprime.net/">eventprime</a></cite></p>
                </div>
            </div>
        </div>
        <div class="plugin-card ep-ext-card">
            <div class="plugin-card-top">
                <div class="name column-name">
                    <h3>
                        <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/offline-payments/' : $buy_link; ?>" class=" open-plugin-details-modal" target="_blank">
                            Offline Payments
                            <img  class="plugin-icon" alt="" src="<?php echo plugin_dir_url(__DIR__) . 'template/images/'; ?>ep-offline-payment.png" > 
                        </a>
                    </h3> </div>
                <div class="action-links">
                    <ul class="plugin-action-buttons">
                        <li> <a class="install-now button ep-install-now-btn" href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/offline-payments/' : $buy_link; ?>" target="_blank">MORE INFO</a> </li>
                    </ul>
                </div>
                <div class="desc column-description">
                    <p class="ep-col-desc">Don't want to use any online payment gateway to collect your event booking payments? Don't worry. With the Offline Payments extension, you can accept event bookings online while you collect booking payments from attendees offline.</p>
                    <p class="authors"> <cite>By <a target="_blank" href="https://eventprime.net/">eventprime</a></cite></p>
                </div>
            </div>
        </div>
        <div class="plugin-card ep-ext-card">
            <div class="plugin-card-top">
                <div class="name column-name">
                    <h3>
                        <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/recurring-events/' : $buy_link; ?>" class=" open-plugin-details-modal" target="_blank">
                            Recurring Events
                            <img class="plugin-icon" alt="" src="<?php echo plugin_dir_url(__DIR__) . 'template/images/'; ?>ep-recurring-events-icon.png"> 
                        </a>
                    </h3> </div>
                <div class="action-links">
                    <ul class="plugin-action-buttons">
                        <li> <a class="install-now button ep-install-now-btn" href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/recurring-events/' : $buy_link; ?>" target="_blank">MORE INFO</a> </li>
                    </ul>
                </div>
                <div class="desc column-description">
                    <p class="ep-col-desc">Create events that recur by your specified numbers of days, weeks, months, or years. Make updates to all recurring events at once by updating the main event. Or make custom changes to individual recurring events, such as different performers, event sites, booking amount etc.</p>
                    <p class="authors"> <cite>By <a target="_blank" href="https://eventprime.net/">eventprime</a></cite></p>
                </div>
            </div>
        </div>
        <div class="plugin-card ep-ext-card">
            <div class="plugin-card-top">
                <div class="name column-name">
                    <h3>
                        <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/attendees-list/' : $buy_link; ?>" class="open-plugin-details-modal" target="_blank">
                            Attendees List
                            <img class="plugin-icon" alt="" src="<?php echo plugin_dir_url(__DIR__) . 'template/images/'; ?>ep-attendees-list-icon.png"> 
                        </a>
                    </h3> </div>
                <div class="action-links">
                    <ul class="plugin-action-buttons">
                        <li> <a class="install-now button ep-install-now-btn" href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/attendees-list/' : $buy_link; ?>" target="_blank">MORE INFO</a> </li>
                    </ul>
                </div>
                <div class="desc column-description">
                    <p class="ep-col-desc">Display names of your Event Attendees on the Event page. Or within the new Attendees List widget.</p>
                    <p class="authors"> <cite>By <a target="_blank" href="https://eventprime.net/">eventprime</a></cite></p>
                </div>
            </div>
        </div>
        <div class="plugin-card ep-ext-card">
            <div class="plugin-card-top">
                <div class="name column-name">
                    <h3>
                        <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/coupon-codes/' : $buy_link; ?>" class="open-plugin-details-modal" target="_blank">
                            Coupon Codes
                            <img class="plugin-icon" alt="" src="<?php echo plugin_dir_url(__DIR__) . 'template/images/'; ?>coupon-code-extension-icon.png"> 
                        </a>
                    </h3> </div>
                <div class="action-links">
                    <ul class="plugin-action-buttons">
                        <li> <a class="install-now button ep-install-now-btn" href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/coupon-codes/' : $buy_link; ?>" target="_blank">MORE INFO</a> </li>
                    </ul>
                </div>
                <div class="desc column-description">
                    <p class="ep-col-desc">Create and activate coupon codes for allowing Attendees for book for events at a discount. Set discount type and limits on coupon code usage, or deactivate at will.</p>
                    <p class="authors"> <cite>By <a target="_blank" href="https://eventprime.net/">eventprime</a></cite></p>
                </div>
            </div>
        </div>
        <div class="plugin-card ep-ext-card">
            <div class="plugin-card-top">
                <div class="name column-name">
                    <h3>
                        <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/guest-bookings/' : $buy_link; ?>" class="open-plugin-details-modal" target="_blank">
                            Guest Bookings
                            <img class="plugin-icon" alt="" src="<?php echo plugin_dir_url(__DIR__) . 'template/images/'; ?>event-guest-booking-icon.png"> 
                        </a>
                    </h3> </div>
                <div class="action-links">
                    <ul class="plugin-action-buttons">
                        <li> <a class="install-now button ep-install-now-btn" href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/guest-bookings/' : $buy_link; ?>" target="_blank">MORE INFO</a> </li>
                    </ul>
                </div>
                <div class="desc column-description">
                    <p class="ep-col-desc">Allow attendees to complete their event bookings without registering or logging in.</p>
                    <p class="authors"> <cite>By <a target="_blank" href="https://eventprime.net/">eventprime</a></cite></p>
                </div>
            </div>
        </div>
        <div class="plugin-card ep-ext-card">
            <div class="plugin-card-top">
                <div class="name column-name">
                    <h3>
                        <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/event-list-widgets/' : $buy_link; ?>" class="open-plugin-details-modal" target="_blank">
                            Event List Widgets
                            <img class="plugin-icon" alt="" src="<?php echo plugin_dir_url(__DIR__) . 'template/images/'; ?>event-more-widget-icon.png"> 
                        </a>
                    </h3> </div>
                <div class="action-links">
                    <ul class="plugin-action-buttons">
                        <li> <a class="install-now button ep-install-now-btn" href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/event-list-widgets/' : $buy_link; ?>" target="_blank">MORE INFO</a> </li>
                    </ul>
                </div>
                <div class="desc column-description">
                    <p class="ep-col-desc">Add 3 new Event Listing widgets to your website. These are the Popular Events list, Featured Events list, and Related Events list widgets.</p>
                    <p class="authors"> <cite>By <a target="_blank" href="https://eventprime.net/">eventprime</a></cite></p>
                </div>
            </div>
        </div>
        <div class="plugin-card ep-ext-card">
            <div class="plugin-card-top">
                <div class="name column-name">
                    <h3>
                        <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/admin-attendee-bookings/' : $buy_link; ?>" class="open-plugin-details-modal" target="_blank">
                            Admin Attendee Bookings
                            <img class="plugin-icon" alt="" src="<?php echo plugin_dir_url(__DIR__) . 'template/images/'; ?>ep-manually-attendees-booking.png"> 
                        </a>
                    </h3> </div>
                <div class="action-links">
                    <ul class="plugin-action-buttons">
                        <li> <a class="install-now button ep-install-now-btn" href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/admin-attendee-bookings/' : $buy_link; ?>" target="_blank">MORE INFO</a> </li>
                    </ul>
                </div>
                <div class="desc column-description">
                    <p class="ep-col-desc">Admins can now create custom attendee bookings from the backend EventPrime dashboard.</p>
                    <p class="authors"> <cite>By <a target="_blank" href="https://eventprime.net/">eventprime</a></cite></p>
                </div>
            </div>
        </div>
        <div class="plugin-card ep-ext-card">
            <div class="plugin-card-top">
                <div class="name column-name">
                    <h3>
                        <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/event-wishlist/' : $buy_link; ?>" class="open-plugin-details-modal" target="_blank">
                            Event Wishlist
                            <img class="plugin-icon" alt="" src="<?php echo plugin_dir_url(__DIR__) . 'template/images/'; ?>ep-save-events-icon.png"> 
                        </a>
                    </h3> </div>
                <div class="action-links">
                    <ul class="plugin-action-buttons">
                        <li> <a class="install-now button ep-install-now-btn" href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/event-wishlist/' : $buy_link; ?>" target="_blank">MORE INFO</a> </li>
                    </ul>
                </div>
                <div class="desc column-description">
                    <p class="ep-col-desc">Users can now wishlist events that they would like to attend and can see the list of all their wishlisted events on their frontend profiles.</p>
                    <p class="authors"> <cite>By <a target="_blank" href="https://eventprime.net/">eventprime</a></cite></p>
                </div>
            </div>
        </div>
        <div class="plugin-card ep-ext-card">
            <div class="plugin-card-top">
                <div class="name column-name">
                    <h3>
                        <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/event-comments/' : $buy_link; ?>" class="open-plugin-details-modal" target="_blank">
                            Event Comments
                            <img class="plugin-icon" alt="" src="<?php echo plugin_dir_url(__DIR__) . 'template/images/'; ?>ep-event-comment-icon.png"> 
                        </a>
                    </h3> </div>
                <div class="action-links">
                    <ul class="plugin-action-buttons">
                        <li> <a class="install-now button ep-install-now-btn" href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/event-comments/' : $buy_link; ?>" target="_blank">MORE INFO</a> </li>
                    </ul>
                </div>
                <div class="desc column-description">
                    <p class="ep-col-desc">Allow users to post comments on EventPrime events. Admins can manage these comments the same way as they manage WordPress comments.</p>
                    <p class="authors"> <cite>By <a target="_blank" href="https://eventprime.net/">eventprime</a></cite></p>
                </div>
            </div>
        </div>
        <div class="plugin-card ep-ext-card">
            <div class="plugin-card-top">
                <div class="name column-name">
                    <h3>
                        <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/automatic-discounts/' : $buy_link; ?>" class="open-plugin-details-modal" target="_blank">
                            Event Automatic Discounts
                            <img class="plugin-icon" alt="" src="<?php echo plugin_dir_url(__DIR__) . 'template/images/'; ?>event-early-bird-discount-icon.png"> 
                        </a>
                    </h3> </div>
                <div class="action-links">
                    <ul class="plugin-action-buttons">
                        <li> <a class="install-now button ep-install-now-btn" href="<?php echo empty($buy_link) ? 'https://eventprime.net/extensions/automatic-discounts/' : $buy_link; ?>" target="_blank">MORE INFO</a> </li>
                    </ul>
                </div>
                <div class="desc column-description">
                    <p class="ep-col-desc">Automatically display discounts on an event for a user based on Admin rules. With Automatic Discount Extension, you can create and activate discounts by setting rules (eligibility criteria) to offer the eligible users a discount on bookings. The discounts are automatically applied to the bookings.</p>
                    <p class="authors"> <cite>By <a target="_blank" href="https://eventprime.net/">eventprime</a></cite></p>
                </div>
            </div>
        </div>
    </div>
</div>