<?php add_thickbox(); 
wp_enqueue_script('moment');
wp_enqueue_script('em-global-settings-controller');
wp_enqueue_script('em-select2');
wp_enqueue_style('em_select2_css');
$em = event_magic_instance(); 
$buy_link = event_m_get_buy_link(); ?>
<div class="kikfyre kf-container" ng-app="eventMagicApp" ng-controller="globalSettingsCtrl" ng-init="initialize()" ng-cloak>
    <div class="kf_progress_screen" ng-show="requestInProgress"></div>
    <div class="content kf-hidden" style="{{requestInProgress ?'display:none':'display:block'}}">
        <?php if (event_m_get_param('show_payment')): ?>      
            <div  ng-init="show_payments(true)">  </div>
        <?php endif; ?>
        <div class="kf-db-title dbfl"><?php _e('Global Settings', 'eventprime-event-calendar-management'); ?></div>
        <div class="form_errors">
            <ul>
                <li class="emfield_error" ng-repeat="error in  formErrors">
                    <span>{{error}}</span>
                </li>
            </ul>  
        </div>
        <div class="kf-global-settings dbfl" ng-hide="showNotification || showPayments || showExternalIntegration || showPageIntegration || showPageGSettings || showCustomCSS || showUserEventSubmit || showUserEventGuestBooking || showEventComments || showEarlyBirdDiscount">
            <div class="kf-settings-icon-area dbfl">
                <a href="javascript:void(0)" ng-click="showNotification = true">
                    <div class="em-settings-box">
                        <img class="em-settings-icon"  src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/rm-email-notifications.png">
                        <div class="em-settings-description">

                        </div>
                        <div class="em-settings-subtitle"><?php _e('Email Notifications', 'eventprime-event-calendar-management'); ?></div>
                        <span><?php _e('Notification Contents', 'eventprime-event-calendar-management'); ?></span>
                    </div>
                </a>        

                <a href="javascript:void(0)" ng-click="showPayments = true" >
                    <div class="em-settings-box">
                        <img class="em-settings-icon" ng-src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/rm-payments.png">
                        <div class="em-settings-subtitle"><?php _e('Payments','eventprime-event-calendar-management'); ?></div>
                        <span><?php _e('Payment gateway configuration settings','eventprime-event-calendar-management'); ?></span>
                    </div>
                </a>

                <a href="javascript:void(0)" ng-click="showExternalIntegration = true">
                    <div class="em-settings-box">
                        <img class="em-settings-icon"  ng-src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/rm-third-party.png">
                        <div class="em-settings-description">

                        </div>
                        <div class="em-settings-subtitle"><?php _e('External Integration', 'eventprime-event-calendar-management'); ?></div>
                        <span><?php _e('Map Integration, Social Sharing...', 'eventprime-event-calendar-management'); ?></span>
                    </div>
                </a>


                <a href="javascript:void(0)" ng-click="showPageIntegration = true">
                    <div class="em-settings-box">
                        <img class="em-settings-icon"  ng-src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/kf-pages.png">
                        <div class="em-settings-description">

                        </div>
                        <div class="em-settings-subtitle"><?php _e('Default Pages', 'eventprime-event-calendar-management'); ?></div>
                        <span><?php _e('Pages with shortcodes', 'eventprime-event-calendar-management'); ?></span>
                    </div>
                </a>

                <a href="javascript:void(0)" ng-click="showPageGSettings = true">
                    <div class="em-settings-box">
                        <img class="em-settings-icon"  ng-src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/ep-global-setting-icon.png">
                        <div class="em-settings-description">

                        </div>
                        <div class="em-settings-subtitle"><?php _e('Regular Settings', 'eventprime-event-calendar-management'); ?></div>
                        <span><?php _e('Regular Settings', 'eventprime-event-calendar-management'); ?></span>
                    </div>
                </a>
                
                <a href="javascript:void(0)" ng-click="showCustomCSS = true">
                    <div class="em-settings-box">
                        <img class="em-settings-icon"  ng-src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/ep-custom-css-icon.png">
                        <div class="em-settings-description">

                        </div>
                        <div class="em-settings-subtitle"><?php _e('Custom CSS', 'eventprime-event-calendar-management'); ?></div>
                        <span><?php _e('Add custom CSS code', 'eventprime-event-calendar-management'); ?></span>
                    </div>
                </a>
                
                <a href="javascript:void(0)" ng-click="showUserEventSubmit = true">
                    <div class="em-settings-box">
                        <img class="em-settings-icon"  ng-src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/event-submission-icon.png">
                        <div class="em-settings-description">

                        </div>
                        <div class="em-settings-subtitle"><?php _e('Frontend Event Submission', 'eventprime-event-calendar-management'); ?></div>
                        <span><?php _e('Configure settings for frontend event submissions.', 'eventprime-event-calendar-management'); ?></span>
                    </div>
                </a>
                <?php do_action('event_magic_gs_settings'); ?>
            </div>
        </div>    
        <form name="optionForm" ng-submit="saveSettings(optionForm.$valid)" novalidate  class="em-email-settings-form">
            <div ng-show="showPageIntegration">    
                <div class="emrow">
                    <div class="emfield"><?php _e('Performers Page', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select name="performers_page" ng-model="data.options.performers_page"  ng-options="pages.id as pages.name for pages in data.options.pages"></select>
                    </div>                        
                    <div class="emfield_error">
                    </div>
                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Performers Page will navigate to selected page.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>            


                <div class="emrow">
                    <div class="emfield"><?php _e('Event Sites', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select name="venues_page" ng-model="data.options.venues_page"  ng-options="pages.id as pages.name for pages in data.options.pages"></select>
                    </div>                        

                    <div class="emfield_error">
                    </div>
                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Venues Page will navigate to selected page.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">
                    <div class="emfield"><?php _e('Events Page', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select name="events_page" ng-model="data.options.events_page"  ng-options="pages.id as pages.name for pages in data.options.pages"></select>
                    </div>                        

                    <div class="emfield_error">
                    </div>

                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Events Page will navigate to selected page.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">
                    <div class="emfield"> <?php _e('Bookings Page', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select name="booking_page" ng-model="data.options.booking_page"  ng-options="pages.id as pages.name for pages in data.options.pages"></select>
                    </div>                        

                    <div class="emfield_error">
                    </div>

                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Bookings Page will navigate to selected page.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">
                    <div class="emfield"><?php _e('Profile Page', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select name="profile_page" ng-model="data.options.profile_page"  ng-options="pages.id as pages.name for pages in data.options.pages"></select>
                    </div>                        
                    <div class="emfield_error">
                    </div>
                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Profile Page will navigate to selected page.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">
                    <div class="emfield"><?php _e('Event Types Page', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select name="event_types" ng-model="data.options.event_types"  ng-options="pages.id as pages.name for pages in data.options.pages"></select>
                    </div>                        
                    <div class="emfield_error">
                    </div>
                </div>
                
                <div class="emrow">
                    <div class="emfield"><?php _e('Submit Event Page', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select name="event_submit_form" ng-model="data.options.event_submit_form"  ng-options="pages.id as pages.name for pages in data.options.pages"></select>
                    </div>
                    <div class="emfield_error">
                    </div>
                </div>

            </div>


            <div ng-show="showExternalIntegration">
                <div class="em-external-integration">
                    <div class="emrow">
                        <div class="emfield"><?php _e('Google Map API Key', 'eventprime-event-calendar-management'); ?></div>
                        <div class="eminput">
                            <input type="text" name="gmap_api_key"  ng-model="data.options.gmap_api_key">
                            <div class="emfield_error">

                            </div>
                        </div>
                        <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                            <?php _e('Enter Google Map API Key after registering your application for Google Maps.', 'eventprime-event-calendar-management'); ?>
                        </div>
                    </div>
                </div>   

                <div class="em-external-integration" >
                    <div class="emrow">
                        <div class="emfield"><?php _e('Allow Social Sharing', 'eventprime-event-calendar-management'); ?></div>
                        <div class="eminput">
                            <input type="checkbox" ng-true-value="1" ng-fale-value="0" name="social_sharing"  ng-model="data.options.social_sharing">
                            <div class="emfield_error">

                            </div>
                        </div>
                        <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                            <?php _e('Allow visitors to share Events on Facebook and Twitter.', 'eventprime-event-calendar-management'); ?>
                        </div>
                    </div>
                </div>


                <div class="em-external-integration" ng-show="data.options.social_sharing == 1">
                    <div class="emrow">
                        <div class="emfield"><?php _e('Facebook API Key', 'eventprime-event-calendar-management'); ?><sup>*</sup></div>
                        <div class="eminput">
                            <input type="text" name="fb_api_key" ng-required="data.options.social_sharing==1"  ng-model="data.options.fb_api_key">
                            <div class="emfield_error">
                                <span ng-show="optionForm.fb_api_key.$error.required && !optionForm.fb_api_key.$pristine"><?php _e('This is a required field.', 'eventprime-event-calendar-management'); ?></span>
                            </div>
                        </div>
                        <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                            <?php _e('Enter your Facebook API key.', 'eventprime-event-calendar-management'); ?>
                        </div>
                    </div>
                </div>


                <div class="em-external-integration" >
                    <div class="emrow">
                        <div class="emfield"><?php _e('Google Calendar Sharing', 'eventprime-event-calendar-management'); ?></div>
                        <div class="eminput">
                            <input type="checkbox" ng-true-value="1" ng-fale-value="0" name="gcal_sharing"  ng-model="data.options.gcal_sharing">
                            <div class="emfield_error">

                            </div>
                        </div>
                        <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                            <?php _e('Allow users to share events through Google Calendar. Calendar API lets you display, create and modify Events.', 'eventprime-event-calendar-management'); ?>
                        </div>
                    </div>
                </div>

                <div ng-show="data.options.gcal_sharing == 1">
                    <div class="em-external-integration">
                        <div class="emrow">
                            <div class="emfield"><?php _e('Google Calendar Client ID', 'eventprime-event-calendar-management'); ?><sup>*</sup></div>
                            <div class="eminput">
                                <input type="text" ng-required="data.options.gcal_sharing==1" name="google_cal_client_id"  ng-model="data.options.google_cal_client_id">
                                <div class="emfield_error">
                                    <span ng-show="optionForm.google_cal_client_id.$error.required && !optionForm.google_cal_client_id.$pristine"><?php _e('This is a required field.', 'eventprime-event-calendar-management'); ?></span>
                                </div>
                            </div>
                            <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                                <?php _e('Enter your Google Calendar Client ID.', 'eventprime-event-calendar-management'); ?>
                            </div>
                        </div>
                    </div> 



                    <div class="em-external-integration">
                        <div class="emrow">
                            <div class="emfield"><?php _e('Google Calendar API Key', 'eventprime-event-calendar-management'); ?><sup>*</sup></div>
                            <div class="eminput">
                                <input type="text" ng-required="data.options.gcal_sharing==1" name="google_cal_api_key"  ng-model="data.options.google_cal_api_key">
                                <div class="emfield_error">
                                    <span ng-show="optionForm.google_cal_api_key.$error.required && !optionForm.google_cal_api_key.$pristine"><?php _e('This is a required field.', 'eventprime-event-calendar-management'); ?></span>
                                </div>
                            </div>
                            <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                                <?php _e('Enter your Google Calendar API Key.', 'eventprime-event-calendar-management'); ?>
                            </div>
                        </div>
                    </div>  
                </div>  
            </div>  

            <div ng-show="showNotification">
                <div class="emrow">
                    <div class="emfield emeditor"><?php _e('Registration Email Subject', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <input type="text" name="registration_email_subject"  ng-model="data.options.registration_email_subject">
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Subject for email that will be sent to the user on registration.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div> 

                <div class="emrow">
                    <div class="emfield emeditor"><?php _e('Registration Email Body', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <?php
                        $content = em_global_settings('registration_email_content');
                        wp_editor($content, 'registration_email_content');
                        ?>    
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Message to be sent in email when user is registered.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">
                    <div class="emfield"><?php _e('Send Booking Pending Mail', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" name="send_booking_pending_email" id="send_booking_pending_email"  ng-true-value="1" ng-false-value="0" ng-model="data.options.send_booking_pending_email" >
                    </div>
                </div>
                <div class="emrow" ng-show="data.options.send_booking_pending_email == 1">
                    <div class="emfield emeditor"><?php _e('Booking Pending Email', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <?php
                        $content = em_global_settings('booking_pending_email');
                        em_add_editor('booking_pending_email', $content);
                        ?>    
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Email with pending notification is sent to the user when either payment has not been made, or there is any issue related to it.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">   
                    <div class="emfield"><?php _e('Send Booking Confirmation Mail', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" name="send_booking_confirm_email" id="send_booking_confirm_email"  ng-true-value="1" ng-false-value="0" ng-model="data.options.send_booking_confirm_email" >
                    </div>
                </div>

                <div class="emrow" ng-show="data.options.send_booking_confirm_email == 1">
                    <div class="emfield emeditor"><?php _e('Booking Confirmation Email', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <?php
                        $content = em_global_settings('booking_confirmed_email');
                        em_add_editor('booking_confirmed_email', $content);
                        ?>    
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Confirmation email is sent to the user once his/ her payment has been received and seats reserved.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>


                <div class="emrow">   
                    <div class="emfield"><?php _e('Send Booking Cancellation Mail', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" name="send_booking_cancellation_email" id="send_booking_cancellation_email"  ng-true-value="1" ng-false-value="0"  ng-model="data.options.send_booking_cancellation_email" >
                    </div>
                </div>

                <div class="emrow" ng-show="data.options.send_booking_cancellation_email == 1">
                    <div class="emfield emeditor"><?php _e('Booking Cancellation Email', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <?php
                        $content = em_global_settings('booking_cancelation_email');
                        em_add_editor('booking_cancelation_email', $content);
                        ?>    
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('User will receive this message on requesting cancellation for a booking.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">
                    <div class="emfield emeditor"><?php _e('Reset User Password', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <?php
                        $content = em_global_settings('reset_password_mail');
                        em_add_editor('reset_password_mail', $content);
                        ?>    
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('In case user requests password reset, admin may initiate it from Booking Manager Page, triggering this email with new password to the requesting user.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>

                <div class="emrow">   
                    <div class="emfield"><?php _e('Send Booking Refund Mail', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" name="send_booking_refund_email" id="send_booking_refund_email"  ng-true-value="1" ng-false-value="0" ng-model="data.options.send_booking_refund_email" >
                    </div>
                </div>
                <div class="emrow" ng-show="data.options.send_booking_refund_email == 1">
                    <div class="emfield emeditor"><?php _e('Booking Refund Email', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <?php
                        $content = em_global_settings('booking_refund_email');
                        em_add_editor('booking_refund_email', $content);
                        ?>    
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Refund Mail is sent to the user when admin accepts cancellation request and issues a refund.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>
                
                <div class="emrow">   
                    <div class="emfield"><?php _e('Send Event Submitted Mail', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" name="send_event_submitted_email" id="send_event_submitted_email"  ng-true-value="1" ng-false-value="0" ng-model="data.options.send_event_submitted_email" >
                    </div>
                </div>
                <div class="emrow" ng-show="data.options.send_event_submitted_email == 1">
                    <div class="emfield emeditor"><?php _e('Event Submitted Email', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <?php
                        $content = em_global_settings('event_submitted_email');
                        if(empty($content) || is_null($content)){
                            ob_start();
                            include(EM_BASE_DIR . 'includes/mail/event_submitted.html');
                            $content = ob_get_clean();
                        }
                        em_add_editor('event_submitted_email', $content);
                        ?>    
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Event Submitted Email is sent to the admin when a user has submitted an event from the frontend.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>
                
                <div class="emrow">
                    <div class="emfield"><?php _e('Send Event Approved Mail', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" name="send_event_approved_email" id="send_event_approved_email"  ng-true-value="1" ng-false-value="0" ng-model="data.options.send_event_approved_email" >
                    </div>
                </div>
                <div class="emrow" ng-show="data.options.send_event_approved_email == 1">
                    <div class="emfield emeditor"><?php _e('Event Approved Email', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput emeditor">
                        <?php
                        $content = em_global_settings('event_approved_email');
                        if(empty($content) || is_null($content)){
                            ob_start();
                            include(EM_BASE_DIR . 'includes/mail/event_approved.html');
                            $content = ob_get_clean();
                        }
                        em_add_editor('event_approved_email', $content);
                        ?>    
                        <div class="emfield_error">

                        </div>
                    </div>
                    <div class="emnote emeditor GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Event Approved Email is sent to the user that submitted the event when the event is approved by the admin and published on the frontend.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>
                <div class="emrow">   
                    <div class="emfield"><?php _e('Disable All Admin Email', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" name="disable_admin_email" id="disable_admin_email"  ng-true-value="1" ng-false-value="0"  ng-model="data.options.disable_admin_email">
                    </div>
                </div>

                <div class="emrow">   
                    <div class="emfield"><?php _e('Disable All Frontend Email', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" name="disable_frontend_email" id="disable_frontend_email"  ng-true-value="1" ng-false-value="0"  ng-model="data.options.disable_frontend_email">
                    </div>
                </div>
            </div>

            <div ng-show="showPageGSettings">
                <div class="emrow">
                    <div class="emfield"><?php _e('Hide Past Events from Events Directory', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" ng-true-value="1" ng-false-value="0" name="hide_past_events" id="hide_past_events" ng-model="data.options.hide_past_events" />
                    </div>                   
                    <div class="emfield_error">
                    </div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('This will hide past events from Events Directory page.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div> 
            </div>
            
            <div ng-show="showPageGSettings">
                <div class="emrow">
                    <div class="emfield"><?php _e('Default Calendar View', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select id="default_cal_view" name="default_cal_view" ng-model="data.options.default_cal_view">
                            <option value="month"><?php _e('Month','eventprime-event-calendar-management') ?></option>
                            <option value="week"><?php _e('Week','eventprime-event-calendar-management') ?></option>
                            <option value="day"><?php _e('Day','eventprime-event-calendar-management') ?></option>
                            <option value="card"><?php _e('Card','eventprime-event-calendar-management') ?></option>
                            <option value="list"><?php _e('List','eventprime-event-calendar-management') ?></option>
                        </select>
                    </div>                   
                    <div class="emfield_error">
                    </div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Select the default view for the Event Calendar on the frontend.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div> 
            </div>
            
            <div ng-show="showPageGSettings">
                <div class="emrow">
                    <div class="emfield"><?php _e('Show No. of Events on Card View', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select id="show_no_of_events_card" name="show_no_of_events_card" ng-model="data.options.show_no_of_events_card">
                            <option value="10"><?php _e('10','eventprime-event-calendar-management') ?></option>
                            <option value="20"><?php _e('20','eventprime-event-calendar-management') ?></option>
                            <option value="30"><?php _e('30','eventprime-event-calendar-management') ?></option>
                            <option value="50"><?php _e('50','eventprime-event-calendar-management') ?></option>
                            <option value="all"><?php _e('All','eventprime-event-calendar-management') ?></option>
                            <option value="custom"><?php _e('Custom','eventprime-event-calendar-management') ?></option>
                        </select>
                    </div>                   
                    <div class="emfield_error">
                    </div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Show no. of events on card view on the frontend.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div> 
            </div>
            
            <div ng-show="showPageGSettings" ng-if="data.options.default_cal_view == 'card' && data.options.show_no_of_events_card == 'custom'">
                <div class="emrow">
                    <div class="emfield"><?php _e('Enter Value', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="number" min="1" id="card_view_custom_value" name="card_view_custom_value"  ng-model="data.options.card_view_custom_value">
                    </div>
                    <div class="emfield_error"></div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Enter value to show no. of events on card view on the frontend.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div> 
            </div>
        
            <div ng-show="showPageGSettings">
                <div class="emrow">
                    <div class="emfield"><?php _e('Disable Event Filter Options on Frontend', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" ng-true-value="1" ng-false-value="0" name="disable_filter_options" id="disable_filter_options" ng-model="data.options.disable_filter_options" />
                    </div>                   
                    <div class="emfield_error">
                    </div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('This will disable event search, filter and view options that appear on the frontend events page.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div> 
            </div>
            
            <div ng-show="showPageGSettings">
                <div class="emrow">
                    <div class="emfield"><?php _e('Hide Bookings of Past Events', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" ng-true-value="1" ng-false-value="0" name="hide_old_bookings" id="hide_old_bookings" ng-model="data.options.hide_old_bookings" />
                    </div>                   
                    <div class="emfield_error">
                    </div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Enabling this option will hide all bookings on the Attendees list in the backend that are for past events. This will also remove past events from the event selection filter on the Attendees list.'); ?>
                    </div>
                </div> 
            </div>
            
            <div ng-show="showPageGSettings">
                <div class="emrow">
                    <div class="emfield"><?php _e('Time Format', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select name="time_format" ng-model="data.options.time_format" ng-options="key as value for (key, value) in data.options.time_formats">
                        </select>
                    </div>                   
                    <div class="emfield_error">
                    </div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Select the time format in which the event time will display on the event calendar. Note: This will only affect the time format of events on the calendar. Please also change date and time formats from WordPress General Settings to fully change time formats according to your preference.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div> 
            </div>
            
            <div ng-show="showPageGSettings">
                <div class="emrow">
                    <div class="emfield"><?php _e('Enable Default Calendar Date', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" ng-true-value="1" ng-fale-value="0" name="enable_default_calendar_date" ng-model="data.options.enable_default_calendar_date">
                    </div>
                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Enable or disable default date for frontend calendar views.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>
            </div>
            
            <div ng-show="showPageGSettings && data.options.enable_default_calendar_date==1">
                <div class="emrow">
                    <div class="emfield"><?php _e('Default Default Calendar Date', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="text" readonly="" name="default_calendar_date" ng-model="data.options.default_calendar_date">
                    </div>                   
                    <div class="emfield_error"></div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('The calendar views on the frontend will use this date as the default date for display.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div> 
            </div>
            
            <div ng-show="showPageGSettings">
                <div class="emrow">
                    <div class="emfield"><?php _e('Calendar Title Format', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select id="calendar_title_format" name="calendar_title_format" ng-model="data.options.calendar_title_format">
                            <option value=""><?php _e('Select Option', 'eventprime-event-calendar-management'); ?></option>
                        </select>
                    </div>                   
                    <div class="emfield_error">
                    </div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Frontend event calendar title format for week, day and list view.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div> 
            </div>
            
            <div ng-show="showPageGSettings">
                <div class="emrow">
                    <div class="emfield"><?php _e('Calendar Column Header Format', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select id="calendar_column_header_format" name="calendar_column_header_format" ng-model="data.options.calendar_column_header_format">
                            <option value=""><?php _e('Select Option', 'eventprime-event-calendar-management'); ?></option>
                        </select>
                    </div>                   
                    <div class="emfield_error">
                    </div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Frontend event calendar column header format for week and day view.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div> 
            </div>
            
            <div ng-show="showPayments">
                <div class="emrow kf_pricefield_checkbox">
                    <div class="emfield"> <?php _e('Payment Processor', 'eventprime-event-seating'); ?></div>
                    <div class="eminput em-payments">
                        <ul  class="payment_processor">
                            <li>
                                <input type="checkbox" name="paypal_processor" id="paypal_processor" ng-true-value="1" ng-fale-value="0"  ng-model="data.options.paypal_processor" />
                                <span><img src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/payment-paypal.png" alt=""></span>
                                <div class="emrow"><div class="rminput" ><a ng-class="{'disable-Stripe-Config': !data.options.paypal_processor}"  ng-click="configure_paypal = true"><?php _e('Configure', 'eventprime-event-calendar-management'); ?></a></div></div>
                                <div class="emfield_error" ng-show="optionForm.paypal_email.$invalid">
                                    <span> <?php _e('Please configure Paypal Email.', 'eventprime-event-calendar-management'); ?></span>  
                                </div>
                            </li>
                            <?php do_action('event_magic_gs_pp'); ?>
                            <?php if (!in_array('stripe', $em->extensions)): ?>
                            <li>
                                <input type="checkbox" name="em_stripe_processor" id="em-strip_processor"  />

                                <span><img src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/payment-stripe.png" alt=""></span>
                                <div class="emrow"><div class="rminput"><a href="<?php echo empty($buy_link) ? 'https://eventprime.net/plans/' : $buy_link; ?>" target="_blank" class="disable-Stripe-Config"><?php _e('Configure', 'eventprime-event-calendar-management'); ?></a></div></div>
                            </li>
                            <?php endif; ?>
                            <?php if (!in_array('offline_payments', $em->extensions)): ?>
                            <li>
                                <input type="checkbox" name="em_offlinr_processor" id="em_offline_processor"  />
                                <span class="payment_processor_offiline"><strong><?php _e("OFFLINE", 'eventprime-offline'); ?></strong></span>
                                <div class="emrow"><div class="rminput"><a href="<?php echo empty($buy_link) ? 'https://eventprime.net/plans/' : $buy_link; ?>" target="_blank" class="disable-Stripe-Config"><?php _e('Configure', 'eventprime-event-calendar-management'); ?></a></div></div>
                            </li>
                            <?php endif; ?>
                        </ul>
                        <div id="kf_pproc_config_parent_backdrop" class="pg_options kf_config_pop_wrap" ng-show="configure_paypal">
                            <div id="kf_pproc_config_parent" class="paypa_settings kf_config_pop" ng-show="data.options.paypal_processor == 1">
                                <div  class="kf_pproc_config_single" id="kf_pproc_config_paypal">
                                    <div class="kf_pproc_config_single_titlebar">
                                        <div class="kf_pproc_title">
                                            <img src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/payment-paypal.png" alt=""></div>
                                        <span ng-click="configure_paypal = false" class="kf-popup-close">×</span></div>
                                </div>

                                <div class="emrow">
                                    <div class="emfield"><?php _e('Test Mode', 'eventprime-event-seating'); ?></div>
                                    <div class="eminput">
                                        <input type="checkbox" name="payment_test_mode" ng-true-value="1" ng-false-value="0"  ng-model="data.options.payment_test_mode">
                                        <div class="emfield_error">

                                        </div>
                                    </div>
                                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                                        <?php _e('Enable PayPal Sandbox. PayPal Sandbox can be used to test payments without initiating actual transactions.', 'eventprime-event-seating'); ?>
                                    </div>
                                </div> 

                                <div class="emrow">
                                    <div class="emfield"><?php _e('Paypal Email', 'eventprime-event-seating'); ?></div>
                                    <div class="eminput">
                                        <input ng-required="data.options.paypal_processor==1" type="email" name="paypal_email"  ng-model="data.options.paypal_email">
                                        <div class="emfield_error" ng-show="optionForm.paypal_email.$invalid">
                                            <span> <?php _e('Invalid Email', 'eventprime-event-seating'); ?></span>  
                                        </div>
                                    </div>
                                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                                        <?php _e('Enter your email registered with PayPal.', 'eventprime-event-seating'); ?>
                                    </div>
                                </div> 

                                <div class="emrow">
                                    <div class="emfield"><?php _e('Paypal API Username', 'eventprime-event-seating'); ?></div>
                                    <div class="eminput">
                                        <input type="text" name="paypal_api_username"  ng-model="data.options.paypal_api_username">
                                        <div class="emfield_error">

                                        </div>
                                    </div>
                                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                                        <?php _e('Enter your PayPal API Username.', 'eventprime-event-seating'); ?>
                                    </div>
                                </div> 

                                <div class="emrow">
                                    <div class="emfield"><?php _e('Paypal API Password', 'eventprime-event-seating'); ?></div>
                                    <div class="eminput">
                                        <input type="text" name="paypal_api_password"  ng-model="data.options.paypal_api_password">
                                        <div class="emfield_error">

                                        </div>
                                    </div>
                                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                                        <?php _e('Enter your PayPal API Password.', 'eventprime-event-seating'); ?>
                                    </div>
                                </div>  

                                <div class="emrow">
                                    <div class="emfield"><?php _e('Paypal API Signature', 'eventprime-event-seating'); ?></div>
                                    <div class="eminput">
                                        <input type="text" name="paypal_api_sig"  ng-model="data.options.paypal_api_sig">
                                        <div class="emfield_error">

                                        </div>
                                    </div>
                                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                                        <?php _e('Enter your PayPal API Signature.', 'eventprime-event-seating'); ?>
                                    </div>
                                </div>         

                                <div class="emrow">
                                    <div class="dbfl kf-buttonarea"><button class="btn btn-primary" ng-click="saveSettings(optionForm.$valid)" ng-disabled="postForm.$invalid" value="<?php _e('Save', 'eventprime-event-seating'); ?>" ><?php _e('Save', 'eventprime-event-seating'); ?></button></div>
                                </div>
                            </div>

                        </div> 
                        <?php do_action('event_magic_gs_pp_options'); ?>
                    </div>
                    <div class="emrow">
                        <div class="emfield"><?php _e('Currency', 'eventprime-event-seating'); ?></div>
                        <div class="eminput">
                            <select id="currency" name="currency" ng-model="data.options.currency" ng-options="cur.key as cur.label for cur in data.options.currencies"></select>
                            <div class="emfield_error">
                            </div>
                        </div>                        
                        <div class="emnote "><i class="fa fa-info-circle" aria-hidden="true"></i>
                            <?php _e('Default Currency for accepting payments. Usually, this will be default currency in your PayPal account.', 'eventprime-event-seating'); ?>
                        </div>
                    </div>

                    <div class="dbfl kf-buttonarea">
                        <div class="em_cancel"><a class="kf-cancel" href="javascript:void(0)" ng-click="showSettingOptions()"><?php _e('Go to Settings Area', 'eventprime-event-seating'); ?></a></div>
                        <button class="btn btn-primary" ng-click="saveSettings(optionForm.$valid)" ng-disabled="postForm.$invalid" value="<?php _e('Save', 'eventprime-event-seating'); ?>" > <?php _e('Save', 'eventprime-event-seating'); ?> </button>
                    </div>

                    <div class="emnote GSnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Select your payment gateway.', 'eventprime-event-seating'); ?>
                    </div>
                </div>
            </div>
            
            <div ng-show="showCustomCSS">
                <div class="emrow">
                    <div class="emfield emeditor"><?php _e('Custom CSS', 'eventprime-event-seating'); ?></div>
                    <div class="eminput emeditor">
                        <textarea id="custom_css" name="custom_css" ng-model="data.options.custom_css"></textarea>
                    </div>                        
                    <div class="emnote emeditor"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Add your very own custom CSS code here to change the appearance of EventPrime frontend according to your preference.', 'eventprime-event-seating'); ?>
                    </div>
                </div>
            </div>
            
            <div ng-show="showUserEventSubmit">
                <div class="emrow">
                    <div class="emfield"><?php _e('Confirmation Message', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="text" name="ues_confirm_message" ng-model="data.options.ues_confirm_message">
                        <div class="emfield_error">
                        </div>
                    </div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('This message will display to the user after event has been submitted.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>
                <div class="emrow">
                    <div class="emfield"><?php _e('Allow submission by anonymous users', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="checkbox" ng-true-value="1" ng-false-value="0" name="allow_submission_by_anonymous_user" id="allow_submission_by_anonymous_user" ng-model="data.options.allow_submission_by_anonymous_user" />
                    </div>                   
                    <div class="emfield_error">
                    </div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('This will allow frontend user to submit event without login.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div> 
                <div class="emrow" ng-hide="data.options.allow_submission_by_anonymous_user == 1">
                    <div class="emfield"><?php _e('Login Message', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="text" name="ues_login_message" ng-model="data.options.ues_login_message">
                        <div class="emfield_error">
                        </div>
                    </div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('This message will display to the user if he/she is not logged in to submit event.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>
                <div class="emrow">
                    <div class="emfield"><?php _e('Status', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select name="ues_default_status" ng-model="data.options.ues_default_status" ng-options="key as label for (key,label) in data.options.status_list"></select>
                    </div>                        
                    <div class="emfield_error">
                    </div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('This will be the status of the event once it is submitted from the frontend. Setting this to "Active" will publish the event on frontend as soon as it is submitted.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>
                <div class="emrow" ng-hide="data.options.allow_submission_by_anonymous_user == 1">
                    <div class="emfield"><?php _e('Restricted Submission By User Roles', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <select multiple id="select_user_roles" name="frontend_submission_roles" ng-model="data.options.frontend_submission_roles" ng-options="key as label for (key,label) in data.options.user_roles"></select>
                    </div>
                    <div class="emfield_error">
                    </div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('Only selected users will be allow to do submission of frontend event.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>
                <div class="emrow" ng-hide="data.options.allow_submission_by_anonymous_user == 1">
                    <div class="emfield"><?php _e('Restricted Message', 'eventprime-event-calendar-management'); ?></div>
                    <div class="eminput">
                        <input type="text" name="ues_restricted_submission_message" ng-model="data.options.ues_restricted_submission_message">
                        <div class="emfield_error">
                        </div>
                    </div>
                    <div class="emnote"><i class="fa fa-info-circle" aria-hidden="true"></i>
                        <?php _e('This message will display if user is restricted.', 'eventprime-event-calendar-management'); ?>
                    </div>
                </div>
            </div>
            
            <?php do_action('event_magic_gs_popup'); ?>

            <div class="dbfl kf-buttonarea" ng-show="showNotification || showExternalIntegration || showPageIntegration || showPageGSettings || showCustomCSS || showUserEventSubmit || showUserEventGuestBooking || showEventComments || showEarlyBirdDiscount">
                <div class="em_cancel"><a class="kf-cancel" href="javascript:void(0)" ng-click="showSettingOptions()"><?php _e('Go to Settings Area', 'eventprime-event-calendar-management'); ?></a></div>
                <button type="submit" class="btn btn-primary" ng-disabled="postForm.$invalid"><?php _e('Save', 'eventprime-event-calendar-management'); ?></button>
            </div>
        </form>    

    </div>
</div>


<div class="ep-payment-config-single" id="ep-payment-config-stripe" style="display: none;">
    <div  class="ep-payment-config-overlay"></div>
    <div class="ep-payment-config-view">
    <div class="ep-payment-config-titlebar">
      <div class="ep-payment-config-title">
         <img src="<?php echo EM_BASE_URL; ?>/includes/admin/template/images/payment-stripe.png" alt="">       
      </div>
      <span class="ep-payment-config-close">&#215;</span>
    </div>
    <div class="ep-payment-config-wrap">
        <div class="ep-promo-payment-content">
           <p class="ep_buy_pro_wrap"><span class="ep_buy_pro_inline">To unlock this feature (and many more), please upgrade <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/plans/' : $buy_link; ?>" target="blank">Click here</a></span></p>   
        </div>
        
    </div>
    </div>
</div>


<div class="ep-payment-config-single" id="ep-payment-config-offiline" style="display: none;">
    <div  class="ep-payment-config-overlay"></div>
    <div class="ep-payment-config-view">
    <div class="ep-payment-config-titlebar">
      <div class="ep-payment-config-title">
      <strong>Offline</strong>      
      </div>
      <span class="ep-payment-config-close">&#215;</span>
    </div>
    <div class="ep-payment-config-wrap">
        <div class="ep-promo-payment-content">
           <p class="ep_buy_pro_wrap"><span class="ep_buy_pro_inline">To unlock this feature (and many more), please upgrade <a href="<?php echo empty($buy_link) ? 'https://eventprime.net/plans/' : $buy_link; ?>" target="blank">Click here</a></span></p>   
        </div>
        
    </div>
    </div>
</div>

<script>
(function($){    
    $(document).ready(function(){
        $('#em-strip_processor, #em_offline_processor').change(function(){
            if(this.checked)
                $('#ep-payment-config-stripe, #ep-payment-config-offiline').show();
            else
                $('#ep-payment-config-stripe, #ep-payment-config-offiline').hide();

        });
        $(".ep-payment-config-close, .ep-payment-config-overlay").click(function(){
            $(".ep-payment-config-single").toggle();
        });
        setTimeout(function(){
            $("#select_user_roles").select2({
                placeholder: "Select Roles",
                tags: true,
                width: "80%"
            });
        }, 2000);

        var fid = ["DD MMMM, YYYY", "MMMM DD, YYYY", "DD-MMMM-YYYY", "MMMM-DD-YYYY", "DD/MMMM/YYYY", "MMMM/DD/YYYY"];
        $.each(fid, function(ind, val){
            var fval = moment().format(val);
            $("#calendar_title_format").append(new Option(fval, val));
        });
        
        var fhd = ["ddd", "dddd", "ddd D/M", "ddd M/D"];
        $.each(fhd, function(idx, val){
            var fval = moment().format(val);
            $("#calendar_column_header_format").append(new Option(fval, val));
        });
    });
})(jQuery);  
</script>