<?php
wp_enqueue_script('em-public');
wp_enqueue_style('em-public-css');
$event_service = EventM_Factory::get_service('EventM_Service');
$type->count = $event_service->event_count_by_type($type->id);
?>
<?php
 /*<div class="emagic">
    <div class="em_cards dbfl em_event_type">
<?php if ($type->count > 0) : ?>
    <?php if (!empty($type->color)): ?>        
        <div class="em_card difl" style="border-bottom:3px solid #<?php echo $type->color; ?>">
    <?php else: ?>
        <div class="em_card difl" style="border-bottom:3px solid #000000 ;">                       
    <?php endif; ?>
        <a href="<?php echo add_query_arg(array('em_s' => '1', 'em_types' => $type->id), get_permalink(em_global_settings('events_page'))); ?>">
            <?php echo $type->name . '<span class="em_event_typecount">(' . $type->count . ')</span>'; ?>
        </a>
    </div>
    <?php else : ?>
        <?php if (!empty($type->color)): ?>
            <div class="em_card difl" style="border-bottom:3px solid #<?php echo $type->color; ?>">
        <?php else: ?>
            <div class="em_card difl" style="border-bottom:3px solid #000000 ;">                        
                <?php endif; ?>
            <a> 
                <?php echo $type->name . '<span class="em_event_typecount">(' . $type->count . ')</span>'; ?>
            </a>
        </div>
<?php endif; ?>
    </div>
</div>
*/ ?>
<div class="ep-event-type-card" style="border-bottom:3px solid #<?php echo $type->color; ?>">
    <a href="<?php echo add_query_arg("type", $type->id, $types_page_url); ?>">
        <div class="ep-event-type-cover">
            <img src="<?php if (isset($type->image_id)) echo wp_get_attachment_image_src($type->image_id, 'medium')[0]; else echo esc_url(EM_BASE_FRONT_IMG_URL.'dummy_image.png'); ?>" alt="<?php _e('Event Type Image', 'eventprime-event-calendar-management'); ?>">
        </div>  
        <div class="ep-event-type-name"><?php echo $type->name; ?></div>
    </a>
    <div class="ep-event-type-age">
        <span class="ep-event-type-title"><?php _e('Age Group', 'eventprime-event-calendar-management'); ?></span>
        <span><?php if ($type->age_group !== 'custom_group') echo em_code_to_display_string($type->age_group); else echo $type->custom_group; ?></span>
    </div>
    <div class="ep-event-type-instructions">
        <?php if (isset($type->description) && $type->description !== '') echo $type->description; else _e('No description available', 'eventprime-event-calendar-management'); ?>
    </div>
    <a href="<?php echo add_query_arg("type", $type->id, $types_page_url); ?>">
        <div class="ep-event-type-count">
            <span class="em_event_typecount"><?php echo $type->count; ?></span>
        </div>
    </a>
</div>              