eventMagicApp.controller('emRegisterCtrl',function($scope,$http,EMRequest){
    $scope.data= {};
    $scope.data.showLogin= true;
    $scope.initialize= function(dataurl){  
        var guest_paypal_booking = localStorage.getItem("guest_paypal_booking");
        if(guest_paypal_booking == 1){
            var guest_paypal_orderid = localStorage.getItem("guest_paypal_orderid");
            localStorage.removeItem("guest_paypal_booking");
            localStorage.removeItem("guest_paypal_orderid");
            if(guest_paypal_orderid){
                $scope.data.gbid = guest_paypal_orderid;
                $scope.data.redirect_url = dataurl;
                EMRequest.send('em_guest_booking_show_order_detail', $scope.data).then(function (response) {
                    jQuery(".em_reg_form").append(response.data);
                });
            }
        }
    }
     
    $scope.register= function(isValid){
        if(isValid){            
            EMRequest.send('em_register_user',$scope.data).then(function(tmp){
                var response = tmp.data;
                if(response.success){
                    $scope.data.showLogin= true;
                    $scope.data.newRegistration= true;
                }
                else
                {
                    $scope.data.registerError= response.data.msg;
                }
            });            
        }
    }
     
    $scope.login= function(){         
        //Removing register error
        $scope.data.registerError="";
        EMRequest.send('em_login_user',$scope.data).then(function(tmp){
            var response = tmp.data;                
            if(response.errors){
                if(response.errors.user_not_exists){
                    $scope.data.loginError= response.errors.user_not_exists[0];
                }

                if(response.errors.invalid_user){
                    $scope.data.loginError= response.errors.invalid_user[0];
                }
            }                
            if(response.success){
                location.reload();
            }                
        });
    }
});
 
 