<?php

class EventM_Global_Settings_Model extends EventM_Array_Model
{
    public $google_cal_client_id;
    public $google_cal_api_key;
    public $fb_api_key;
    public $gmap_api_key;
    public $registration_email_content;
    public $registration_email_subject;
    public $booking_pending_email;
    public $send_booking_confirm_email;
    public $send_booking_cancellation_email;
    public $booking_confirmed_email;
    public $booking_cancelation_email;
    public $booking_refund_email;
    public $reset_password_mail;
    public $event_submitted_email;
    public $event_approved_email;
    public $social_sharing;
    public $gcal_sharing;
    public $hide_past_events;
    public $performers_page;
    public $venues_page;
    public $events_page;
    public $booking_page;
    public $profile_page;
    public $event_submit_form;
    public $currency = 'USD';
    public $hide_expired_from_admin = 0;
    public $event_types;
    public $paypal_processor=0;
    public $payment_test_mode=0;
    public $paypal_email='';
    public $paypal_api_username='';
    public $paypal_api_password='';
    public $paypal_api_sig='';
    public $default_cal_view= 'month';
    public $disable_filter_options;
    public $hide_old_bookings;
    public $custom_css='';
    public $time_format='h:mmt';
    public $ues_confirm_message='';
    public $ues_login_message='';
    public $ues_default_status='draft';
    public $enable_default_calendar_date=0;
    public $default_calendar_date='';
    public $disable_admin_email;
    public $disable_frontend_email;
    public $send_booking_pending_email;
    public $send_booking_refund_email;
    public $send_event_submitted_email;
    public $send_event_approved_email;
    public $frontend_submission_roles;
    public $ues_restricted_submission_message='';
    public $show_no_of_events_card=10;
    public $card_view_custom_value=1;
    public $calendar_title_format='';
    public $calendar_column_header_format='';
    public $allow_submission_by_anonymous_user='';
}
